Skip to Content
KnowaKYC
Tenant API (KYC)

Sessions

A verification session represents a single execution of the verification flow by an end user: document upload, selfie, liveness check, and any other steps configured in the flow. A session is created automatically when the user opens a verification link (see Verification links); the user goes through every step on the KnowaKYC verification page.

Creating a session

In the Tenant API, sessions are created through the verification-link endpoints. When the user opens the link, a new verification session is initialised automatically.

POST
/v1/kyc/verification-links

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Request Body

Link options (flow_id required)

application/json
  1. body
expires_in?integer

seconds

external_reference?string
external_user_id?string
flow_id?string
locale?string
metadata?
prefilled?
redirect_url?string
utm_campaign?string
utm_medium?string
utm_source?string

Response Body

Created or reused link

application/json
  1. response
data?
success?boolean
Example Request
curl -X POST 'https://example.com/tenant/v1/kyc/verification-links' \  -H 'X-Timestamp: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "data": {    "created_at": "string",    "delivery_eligible": true,    "expires_at": "string",    "external_reference": "string",    "external_user_id": "string",    "flow_id": "string",    "id": "string",    "link_url": "string",    "locale": "string",    "qr_code_url": "string",    "redirect_url": "string",    "reuse_reason": "external_reference",    "reused": true,    "session_id": "string",    "session_resumable": true,    "session_status": "string",    "short_url": "string",    "status": "string",    "url": "string",    "verification_link": "string",    "verification_url": "string"  }}
POST
/v1/kyc/verification-links/batch

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Request Body

Batch create request

application/json
  1. body
defaults?
items?array<>

Response Body

Created links

application/json
  1. response
data?
success?boolean
Example Request
curl -X POST 'https://example.com/tenant/v1/kyc/verification-links/batch' \  -H 'X-Timestamp: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "data": {    "failed": [      {        "error": "string",        "error_code": "string",        "existing_session_id": "string",        "index": 0,        "link": {          "created_at": "string",          "delivery_eligible": true,          "expires_at": "string",          "external_reference": "string",          "external_user_id": "string",          "flow_id": "string",          "id": "string",          "link_url": "string",          "locale": "string",          "qr_code_url": "string",          "redirect_url": "string",          "reuse_reason": "external_reference",          "reused": true,          "session_id": "string",          "session_resumable": true,          "session_status": "string",          "short_url": "string",          "status": "string",          "url": "string",          "verification_link": "string",          "verification_url": "string"        }      }    ],    "successful": [      {        "error": "string",        "error_code": "string",        "existing_session_id": "string",        "index": 0,        "link": {          "created_at": "string",          "delivery_eligible": true,          "expires_at": "string",          "external_reference": "string",          "external_user_id": "string",          "flow_id": "string",          "id": "string",          "link_url": "string",          "locale": "string",          "qr_code_url": "string",          "redirect_url": "string",          "reuse_reason": "external_reference",          "reused": true,          "session_id": "string",          "session_resumable": true,          "session_status": "string",          "short_url": "string",          "status": "string",          "url": "string",          "verification_link": "string",          "verification_url": "string"        }      }    ],    "summary": {      "failed": 0,      "successful": 0,      "total": 0    }  }}

For full link-management details, see Verification links.

Session lifecycle

A session goes through the following stages:

  1. Creation — the session is initialised when the verification link is activated.
  2. In progress — the user works through the steps in order (document upload, selfie, liveness, etc.).
  3. Completion — once all checks finish, the session receives a final status: approved, rejected, or routed to manual review.

Fetching applicant session data

The list of verification sessions for an applicant and the verification results are available through the endpoints below (required scopes: applicants:read, verifications:read):

GET
/v1/kyc/applicants/{applicant_id}/sessions

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

applicant_id*string

Applicant UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Sessions list

application/json
  1. response
data?array<>
pagination?
success?boolean
Example Request
curl -X GET 'https://example.com/tenant/v1/kyc/applicants/string/sessions' \  -H 'X-Timestamp: string'
Example Response
{  "pagination": {    "has_more": true,    "limit": 0,    "next_cursor": "string",    "offset": 0,    "total": 0  },  "success": true,  "data": [    {      "applicant_id": "string",      "completed_at": "string",      "context": {        "property1": null,        "property2": null      },      "created_at": "string",      "current_step_id": "string",      "decision_reasons": [        {          "actor": {            "display_name": "string",            "email": "string",            "id": "string",            "role": "string",            "type": "string"          },          "category": "string",          "code": "string",          "created_at": "string",          "details": {            "property1": null,            "property2": null          },          "id": "string",          "message": "string",          "severity": "string",          "source": "string",          "step_execution_id": "string",          "superseded_at": "string",          "superseded_by": "string"        }      ],      "device_info": {        "browser_name": "string",        "browser_version": "string",        "country_code": "string",        "device_type": "string",        "fingerprint_request_id": "string",        "fp_collection_failed": true,        "os": "string",        "os_version": "string",        "timezone": "string",        "user_agent": "string"      },      "expires_at": "string",      "external_id": "string",      "fingerprint_visitor_id": "string",      "flow_id": "string",      "flow_version": 0,      "id": "string",      "ip_address": "string",      "locale": "string",      "risk_signals": {        "property1": null,        "property2": null      },      "started_at": "string",      "status": "pending",      "steps_completed": 0,      "user_agent": "string",      "verification_link_id": "string",      "verification_result": "string",      "verification_score": 0    }  ]}
GET
/v1/kyc/applicants/{applicant_id}/verification

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

applicant_id*string

Applicant UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

OK

application/json
  1. response
data?
success?boolean
Example Request
curl -X GET 'https://example.com/tenant/v1/kyc/applicants/string/verification' \  -H 'X-Timestamp: string'
Example Response
{  "success": true,  "data": {    "applicant_id": "string",    "checks": [      {        "aml": {          "aml_screening_completed": true,          "aml_screening_status": "string",          "aml_service_unavailable": true,          "checks": {            "property1": "string",            "property2": "string"          },          "checks_typed": [            {              "checked_at": "string",              "hit_count": 0,              "list_id": "string",              "list_name": "string",              "status": "string"            }          ],          "compliance": {            "bankruptcy": {              "address": "string",              "bankrupt_date": "string",              "matched_inn": "string",              "snils": "string",              "stage": "string",              "stage_date": "string"            },            "passport": {              "invalid_since": "string",              "is_invalid": true,              "passport_number": "string"            },            "rkl": {              "document_number": "string",              "in_registry": true            }          },          "decision": "string",          "effective_list_actions": {            "property1": "string",            "property2": "string"          },          "effective_match_policy": {            "match_strength": "string",            "match_strength_per_list": {              "property1": "string",              "property2": "string"            },            "min_match_confidence": 0          },          "error_code": "string",          "error_message": "string",          "forced_review_reason": "string",          "input_fields_used": [            "string"          ],          "lists_checked": [            "string"          ],          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "match_details": [            {              "property1": null,              "property2": null            }          ],          "match_found": true,          "match_severity": "string",          "matched_lists": [            "string"          ],          "matches": [            {              "confidence": 0,              "hit_details": {                "additional_information": [                  {                    "label": "string",                    "value": "string"                  }                ],                "additional_sanctions": [                  "string"                ],                "country": "string",                "crypto_wallets": [                  "string"                ],                "delisted_at": "string",                "description": "string",                "education": [                  "string"                ],                "email_addresses": [                  "string"                ],                "last_updated": "string",                "listed_at": "string",                "notes": "string",                "phone_numbers": [                  "string"                ],                "position": "string",                "programs": [                  "string"                ],                "remarks": "string",                "risk_categories": [                  "string"                ],                "source_links": [                  "string"                ],                "source_url": "string",                "websites": [                  "string"                ]              },              "list_category": "string",              "list_id": "string",              "list_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "match_fields": [                "string"              ],              "match_strength": "string",              "person": {                "aliases": [                  "string"                ],                "birth_place": "string",                "citizenship": "string",                "date_of_birth": "string",                "documents": [                  {                    "class": "string",                    "country": "string",                    "expiration_date": "string",                    "issue_date": "string",                    "number": "string",                    "type": "string"                  }                ],                "first_name": "string",                "full_name": "string",                "gender": "string",                "last_name": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "middle_name": "string",                "nationality": "string"              },              "provenance": {                "raw_record": {                  "property1": null,                  "property2": null                },                "vendor_list_id": "string",                "vendor_match_id": "string",                "vendor_source_id": "string"              }            }          ],          "provider": "string",          "provider_metadata": {            "duration_ms": 0,            "evidence_reuse": {              "execution_id": "string",              "reason": "string",              "recovery_audit_id": "string",              "source_attempt_number": 0,              "source_execution_id": "string",              "source_verification_id": "string"            },            "name": "string",            "raw": {              "property1": null,              "property2": null            },            "raw_response_key": "string",            "received_at": "string",            "request_id": "string",            "version": "string"          },          "providers_called": [            "string"          ],          "providers_errored": [            "string"          ],          "providers_succeeded": [            "string"          ],          "risk_score": 0,          "unchecked_lists": [            "string"          ]        },        "attempt_number": 0,        "completed_at": "string",        "doc_liveness": {          "is_real": true,          "portrait_replace": 0,          "printed_copy": 0,          "result_code": "string",          "score": 0,          "screen_replay": 0,          "status": "string",          "status_error": "string",          "thresholds": {            "portrait_replace": 0,            "printed_copy": 0,            "screen_replay": 0          }        },        "face_liveness": {          "face_warnings": [            "string"          ],          "faces": [            {              "eye_dist": 0,              "face_luminance": 0,              "face_occlusion": 0,              "face_quality": 0,              "landmark_68": [                {                  "x": 0,                  "y": 0                }              ],              "left_eye_closed": 0,              "mouth_opened": 0,              "pitch": 0,              "right_eye_closed": 0,              "roll": 0,              "state": {                "eye_closed": true,                "has_mouth_open": true,                "has_occlusion": true,                "is_boundary_face": true,                "is_front": true,                "is_not_front": true,                "is_small": true,                "luminance": "string",                "quality": "string",                "result": "string"              },              "x1": 0,              "x2": 0,              "y1": 0,              "y2": 0,              "yaw": 0            }          ],          "is_live": true,          "message": "string",          "quality": 0,          "quality_warning_reason": "string",          "score": 0,          "status": "string",          "threshold": 0        },        "face_match": {          "confidence_level": "string",          "face1_index": 0,          "face2_index": 0,          "faces1": [            {              "eye_dist": 0,              "face_luminance": 0,              "face_occlusion": 0,              "face_quality": 0,              "landmark_68": [                {                  "x": 0,                  "y": 0                }              ],              "left_eye_closed": 0,              "mouth_opened": 0,              "pitch": 0,              "right_eye_closed": 0,              "roll": 0,              "state": {                "eye_closed": true,                "has_mouth_open": true,                "has_occlusion": true,                "is_boundary_face": true,                "is_front": true,                "is_not_front": true,                "is_small": true,                "luminance": "string",                "quality": "string",                "result": "string"              },              "x1": 0,              "x2": 0,              "y1": 0,              "y2": 0,              "yaw": 0            }          ],          "faces2": [            {              "eye_dist": 0,              "face_luminance": 0,              "face_occlusion": 0,              "face_quality": 0,              "landmark_68": [                {                  "x": 0,                  "y": 0                }              ],              "left_eye_closed": 0,              "mouth_opened": 0,              "pitch": 0,              "right_eye_closed": 0,              "roll": 0,              "state": {                "eye_closed": true,                "has_mouth_open": true,                "has_occlusion": true,                "is_boundary_face": true,                "is_front": true,                "is_not_front": true,                "is_small": true,                "luminance": "string",                "quality": "string",                "result": "string"              },              "x1": 0,              "x2": 0,              "y1": 0,              "y2": 0,              "yaw": 0            }          ],          "is_match": true,          "result_code": "string",          "score": 0,          "threshold": 0        },        "kyb": {          "activities": [            {              "code": "string",              "description": "string",              "is_primary": true            }          ],          "activities_evidence_sources": [            "string"          ],          "activities_typed": [            {              "code": "string",              "description": "string",              "is_primary": true,              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "name": "string",              "system": "string"            }          ],          "activities_unavailable_reason_info": "string",          "actual_address": "string",          "additional_url": "string",          "additional_url_evidence_sources": [            "string"          ],          "additional_url_unavailable_reason_info": "string",          "addresses_typed": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "adverse_media": [            {              "categories": [                "string"              ],              "language": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "published_at": "string",              "severity": "string",              "source": "string",              "summary": "string",              "title": "string",              "url": "string"            }          ],          "ai_analysis": {            "confidence": 0,            "confirmation_flag": true,            "green_flags": [              "string"            ],            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "model_version": "string",            "red_flags": [              "string"            ],            "summary": "string"          },          "bankruptcy": {            "case_number": "string",            "court": "string",            "is_bankrupt": true,            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "receiver": "string",            "stage": "string",            "started_at": "string"          },          "beneficiaries": [            {              "is_director": true,              "name": "string",              "ownership": 0            }          ],          "beneficiaries_evidence_sources": [            "string"          ],          "beneficiaries_typed": [            {              "addresses": [                {                  "address": {                    "city": "string",                    "country": "string",                    "full_text": "string",                    "localized": {                      "property1": {                        "property1": "string",                        "property2": "string"                      },                      "property2": {                        "property1": "string",                        "property2": "string"                      }                    },                    "postal_code": "string",                    "region": "string",                    "street": "string"                  },                  "type": "string",                  "valid_from": "string",                  "valid_to": "string"                }              ],              "appointed_at": "string",              "date_of_birth": "string",              "documents": [                {                  "class": "string",                  "country": "string",                  "expiration_date": "string",                  "issue_date": "string",                  "number": "string",                  "type": "string"                }              ],              "first_name": "string",              "full_name": "string",              "id": "string",              "is_pep": true,              "is_sanctioned": true,              "last_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "middle_name": "string",              "nationality": "string",              "ownership_pct": 0,              "resigned_at": "string",              "role": "string",              "role_raw": "string",              "tax_id": "string"            }          ],          "beneficiaries_unavailable_reason_info": "string",          "company_aliases": [            "string"          ],          "company_code": "string",          "company_name": "string",          "confirmation_flag": true,          "confirmation_tier": "string",          "consulted_sources": [            "string"          ],          "country": "string",          "decision": "string",          "decision_reason": "string",          "director_evidence_sources": [            "string"          ],          "director_name": "string",          "director_title": "string",          "director_unavailable_reason_info": "string",          "directors_typed": [            {              "addresses": [                {                  "address": {                    "city": "string",                    "country": "string",                    "full_text": "string",                    "localized": {                      "property1": {                        "property1": "string",                        "property2": "string"                      },                      "property2": {                        "property1": "string",                        "property2": "string"                      }                    },                    "postal_code": "string",                    "region": "string",                    "street": "string"                  },                  "type": "string",                  "valid_from": "string",                  "valid_to": "string"                }              ],              "appointed_at": "string",              "date_of_birth": "string",              "documents": [                {                  "class": "string",                  "country": "string",                  "expiration_date": "string",                  "issue_date": "string",                  "number": "string",                  "type": "string"                }              ],              "first_name": "string",              "full_name": "string",              "id": "string",              "is_pep": true,              "is_sanctioned": true,              "last_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "middle_name": "string",              "nationality": "string",              "ownership_pct": 0,              "resigned_at": "string",              "role": "string",              "role_raw": "string",              "tax_id": "string"            }          ],          "field_evidence": [            {              "confidence": 0,              "declared_value": "string",              "document_source": "string",              "document_value": "string",              "field": "string",              "match_status": "string",              "provider": "string",              "provider_value": "string",              "reason_code": "string",              "severity": "string"            }          ],          "financials": {            "assets": 0,            "authorized_capital": 0,            "currency": "string",            "employee_count": 0,            "employee_date": "string",            "equity": 0,            "fiscal_year": 0,            "liabilities": 0,            "net_profit": 0,            "report_source": "string",            "revenue": 0          },          "incorporation_country": "string",          "incorporation_date": "string",          "legal_address": "string",          "legal_form": "string",          "legal_form_raw": "string",          "lei": "string",          "liquidation_date": "string",          "litigation": [            {              "amount": 0,              "case_number": "string",              "closed_at": "string",              "court": "string",              "currency": "string",              "filed_at": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "role": "string",              "status": "string",              "subject": "string"            }          ],          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "lookup_coverage_tier": "string",          "lookup_next_actions": [            {              "action": "string",              "detail": "string",              "identifiers": [                "string"              ],              "label": "string",              "provider": "string",              "url": "string"            }          ],          "lookup_outcome": {            "auto_approval_eligible": true,            "coverage_tier": "string",            "decision_bias": "string",            "next_actions": [              {                "action": "string",                "detail": "string",                "identifiers": [                  "string"                ],                "label": "string",                "provider": "string",                "url": "string"              }            ],            "official_source_count": 0,            "provider_statuses": [              {                "detail": "string",                "provider": "string",                "status": "string"              }            ],            "reason": "string",            "registry_authority_hint": [              "string"            ],            "requires_manual_review": true,            "secondary_source_count": 0          },          "lookup_outcome_reason": "string",          "main_url": "string",          "main_url_evidence_sources": [            "string"          ],          "main_url_unavailable_reason_info": "string",          "notes": "string",          "pep": [            {              "confidence": 0,              "hit_details": {                "additional_information": [                  {                    "label": "string",                    "value": "string"                  }                ],                "additional_sanctions": [                  "string"                ],                "country": "string",                "crypto_wallets": [                  "string"                ],                "delisted_at": "string",                "description": "string",                "education": [                  "string"                ],                "email_addresses": [                  "string"                ],                "last_updated": "string",                "listed_at": "string",                "notes": "string",                "phone_numbers": [                  "string"                ],                "position": "string",                "programs": [                  "string"                ],                "remarks": "string",                "risk_categories": [                  "string"                ],                "source_links": [                  "string"                ],                "source_url": "string",                "websites": [                  "string"                ]              },              "list_category": "string",              "list_id": "string",              "list_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "match_fields": [                "string"              ],              "match_strength": "string",              "person": {                "aliases": [                  "string"                ],                "birth_place": "string",                "citizenship": "string",                "date_of_birth": "string",                "documents": [                  {                    "class": "string",                    "country": "string",                    "expiration_date": "string",                    "issue_date": "string",                    "number": "string",                    "type": "string"                  }                ],                "first_name": "string",                "full_name": "string",                "gender": "string",                "last_name": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "middle_name": "string",                "nationality": "string"              },              "provenance": {                "raw_record": {                  "property1": null,                  "property2": null                },                "vendor_list_id": "string",                "vendor_match_id": "string",                "vendor_source_id": "string"              }            }          ],          "proprietor_name": "string",          "provider_metadata": {            "duration_ms": 0,            "evidence_reuse": {              "execution_id": "string",              "reason": "string",              "recovery_audit_id": "string",              "source_attempt_number": 0,              "source_execution_id": "string",              "source_verification_id": "string"            },            "name": "string",            "raw": {              "property1": null,              "property2": null            },            "raw_response_key": "string",            "received_at": "string",            "request_id": "string",            "version": "string"          },          "provider_statuses": [            {              "detail": "string",              "provider": "string",              "retrieved_at": "string",              "status": "string"            }          ],          "reconciliation_decision": "string",          "reconciliation_reason_codes": [            "string"          ],          "registration_date": "string",          "registration_number": "string",          "registry_facts": [            {              "company_aliases": [                "string"              ],              "company_name": "string",              "confidence": 0,              "country": "string",              "director_names": [                "string"              ],              "incorporation_date": "string",              "legal_address": "string",              "lei": "string",              "provider": "string",              "registration_date": "string",              "registration_number": "string",              "source_retrieved_at": "string",              "source_url": "string",              "status": "string",              "tax_number": "string",              "website": "string"            }          ],          "risk_factors": [            {              "category": "string",              "code": "string",              "description": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "severity": "string",              "weight": 0            }          ],          "risk_level": "string",          "risk_score": 0,          "sanctions": [            {              "confidence": 0,              "hit_details": {                "additional_information": [                  {                    "label": "string",                    "value": "string"                  }                ],                "additional_sanctions": [                  "string"                ],                "country": "string",                "crypto_wallets": [                  "string"                ],                "delisted_at": "string",                "description": "string",                "education": [                  "string"                ],                "email_addresses": [                  "string"                ],                "last_updated": "string",                "listed_at": "string",                "notes": "string",                "phone_numbers": [                  "string"                ],                "position": "string",                "programs": [                  "string"                ],                "remarks": "string",                "risk_categories": [                  "string"                ],                "source_links": [                  "string"                ],                "source_url": "string",                "websites": [                  "string"                ]              },              "list_category": "string",              "list_id": "string",              "list_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "match_fields": [                "string"              ],              "match_strength": "string",              "person": {                "aliases": [                  "string"                ],                "birth_place": "string",                "citizenship": "string",                "date_of_birth": "string",                "documents": [                  {                    "class": "string",                    "country": "string",                    "expiration_date": "string",                    "issue_date": "string",                    "number": "string",                    "type": "string"                  }                ],                "first_name": "string",                "full_name": "string",                "gender": "string",                "last_name": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "middle_name": "string",                "nationality": "string"              },              "provenance": {                "raw_record": {                  "property1": null,                  "property2": null                },                "vendor_list_id": "string",                "vendor_match_id": "string",                "vendor_source_id": "string"              }            }          ],          "shareholders": [            {              "addresses": [                {                  "address": {                    "city": "string",                    "country": "string",                    "full_text": "string",                    "localized": {                      "property1": {                        "property1": "string",                        "property2": "string"                      },                      "property2": {                        "property1": "string",                        "property2": "string"                      }                    },                    "postal_code": "string",                    "region": "string",                    "street": "string"                  },                  "type": "string",                  "valid_from": "string",                  "valid_to": "string"                }              ],              "appointed_at": "string",              "date_of_birth": "string",              "documents": [                {                  "class": "string",                  "country": "string",                  "expiration_date": "string",                  "issue_date": "string",                  "number": "string",                  "type": "string"                }              ],              "first_name": "string",              "full_name": "string",              "id": "string",              "is_pep": true,              "is_sanctioned": true,              "last_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "middle_name": "string",              "nationality": "string",              "ownership_pct": 0,              "resigned_at": "string",              "role": "string",              "role_raw": "string",              "tax_id": "string"            }          ],          "signatories": [            {              "addresses": [                {                  "address": {                    "city": "string",                    "country": "string",                    "full_text": "string",                    "localized": {                      "property1": {                        "property1": "string",                        "property2": "string"                      },                      "property2": {                        "property1": "string",                        "property2": "string"                      }                    },                    "postal_code": "string",                    "region": "string",                    "street": "string"                  },                  "type": "string",                  "valid_from": "string",                  "valid_to": "string"                }              ],              "appointed_at": "string",              "date_of_birth": "string",              "documents": [                {                  "class": "string",                  "country": "string",                  "expiration_date": "string",                  "issue_date": "string",                  "number": "string",                  "type": "string"                }              ],              "first_name": "string",              "full_name": "string",              "id": "string",              "is_pep": true,              "is_sanctioned": true,              "last_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "middle_name": "string",              "nationality": "string",              "ownership_pct": 0,              "resigned_at": "string",              "role": "string",              "role_raw": "string",              "tax_id": "string"            }          ],          "sources": [            "string"          ],          "status": "string",          "status_date": "string",          "status_evidence_sources": [            "string"          ],          "status_info": "string",          "summary": "string",          "suspicious_signals": [            "string"          ],          "tax_number": "string",          "trade_name": "string",          "trading_name": "string"        },        "ocr": {          "additional": {            "property1": "string",            "property2": "string"          },          "address": "string",          "barcode": {            "property1": "string",            "property2": "string"          },          "booklet_number": "string",          "date_of_birth": "string",          "document_class": "string",          "document_name": "string",          "document_number": "string",          "document_series": "string",          "document_type": "string",          "expiry_date": "string",          "field_issues": {            "property1": "string",            "property2": "string"          },          "first_name": "string",          "full_name": "string",          "full_name_latin": "string",          "gender": "string",          "issue_date": "string",          "issuing_authority": "string",          "issuing_authority_name": "string",          "issuing_country": "string",          "issuing_place": "string",          "issuing_state_code": "string",          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "mrz_code": "string",          "mrz_data": {            "property1": "string",            "property2": "string"          },          "mrz_type": "string",          "nationality": "string",          "nationality_name": "string",          "native_full_name": "string",          "personal_number": "string",          "place_of_birth": "string",          "portrait": "string",          "portrait_position": {            "x1": 0,            "x2": 0,            "y1": 0,            "y2": 0          },          "position": {            "x1": 0,            "x2": 0,            "y1": 0,            "y2": 0          },          "profession": "string",          "reconciliation": {            "canonical_name": {              "confidence": 0,              "full_name": "string",              "given_names": "string",              "language": "string",              "script": "string",              "source": "mrz",              "surname": "string"            },            "confidence": 0,            "conflicts": [              {                "code": "name_mismatch",                "field": "string",                "left_source": "mrz",                "right_source": "mrz",                "severity": "string"              }            ],            "decision": "accept",            "evidence_sufficient": true,            "fixable_by_recapture": true,            "model": "string",            "mrz": {              "decision_source": "string",              "independent_available": true,              "independent_valid": true,              "parsed": {                "checks": {                  "property1": {                    "expected": "string",                    "observed": "string",                    "valid": true                  },                  "property2": {                    "expected": "string",                    "observed": "string",                    "valid": true                  }                },                "date_of_birth": "string",                "document_number": "string",                "expiry_date": "string",                "given_names": "string",                "layout": "TD1",                "nationality": "string",                "raw_lines": [                  "string"                ],                "sex": "string",                "surname": "string",                "valid": true,                "validation_complete": true              },              "provider_state": "valid",              "provider_validation": "string",              "shadow_decision_applied": true,              "shadow_state": "valid"            },            "names": [              {                "confidence": 0,                "full_name": "string",                "given_names": "string",                "language": "string",                "script": "string",                "source": "mrz",                "surname": "string"              }            ],            "recommended_action": "continue"          },          "tax_number": "string"        },        "proof_of_address": {          "address_apartment_present": true,          "address_building_present": true,          "address_city": "string",          "address_country": "string",          "address_display": "string",          "address_line1_present": true,          "address_line2_present": true,          "address_postal_code": "string",          "address_source": "string",          "address_street_present": true,          "address_subdivision": "string",          "applicant_message_code": "string",          "blocked_keyword_count": 0,          "config_source": "string",          "config_version": 0,          "decision": "string",          "document_address_geocode_components": [            {              "evidence_present": true,              "expected_value": "string",              "field": "string",              "matched": true,              "matched_token": "string",              "normalized_expected": "string",              "normalized_observed": "string",              "observed_confidence": 0,              "observed_source": "string",              "observed_value": "string",              "required": true,              "weight": 0            }          ],          "document_address_geocode_confidence_bucket": "string",          "document_address_geocode_distance_bucket": "string",          "document_address_geocode_expected_display": "string",          "document_address_geocode_observed_display": "string",          "document_address_geocode_score_bucket": "string",          "document_address_geocode_status": "string",          "document_address_match_components": [            {              "evidence_present": true,              "expected_value": "string",              "field": "string",              "matched": true,              "matched_token": "string",              "normalized_expected": "string",              "normalized_observed": "string",              "observed_confidence": 0,              "observed_source": "string",              "observed_value": "string",              "required": true,              "weight": 0            }          ],          "document_address_match_score_bucket": "string",          "document_address_match_status": "string",          "document_address_matched": true,          "document_available": true,          "document_category": "string",          "document_classification_accepted": true,          "document_classification_category": "string",          "document_classification_confidence_bucket": "string",          "document_classification_negative_signals": "string",          "document_classification_positive_signals": "string",          "document_classification_status": "string",          "document_classification_subtype": "string",          "document_country": "string",          "document_language": "string",          "document_ocr_confidence_bucket": "string",          "document_ocr_degraded": true,          "document_ocr_extracted_bytes": 0,          "document_ocr_text_snippet": "string",          "document_ocr_text_truncated": true,          "document_page_count": 0,          "document_screenshot": true,          "document_subtype": "string",          "document_unsupported_reason": "string",          "fingerprint_state": "string",          "gps_accuracy_meters": 0,          "gps_address_distance_bucket": "string",          "gps_address_distance_meters": 0,          "gps_address_match_radius_meters": 0,          "gps_address_mismatch_radius_meters": 0,          "gps_address_proximity_status": "string",          "gps_country": "string",          "gps_geocode_confidence_bucket": "string",          "gps_signal_status": "string",          "ip_accuracy_radius_bucket": "string",          "ip_connection_type": "string",          "ip_country": "string",          "ip_country_confidence_bucket": "string",          "ip_expected": "string",          "ip_signal_status": "string",          "reason_codes": [            "string"          ],          "reviewer_summary": "string",          "route": "string"        },        "rejection_reasons": [          "string"        ],        "score": 0,        "status": "string",        "step_id": "string",        "type": "string",        "verification_id": "string"      }    ],    "completed_at": "string",    "custom_steps": [      {        "config": {          "fields": [            {              "data_type": "string",              "id": "string",              "label": "string",              "max_length": 0,              "min_length": 0,              "required": true,              "validation_preset": "string"            }          ],          "lists": [            {              "black_list_items_count": 0,              "display": "string",              "grey_list_items_count": 0,              "id": "string",              "label": "string",              "multiple": true,              "required": true,              "selected_value_ids": [                "string"              ],              "value_policy": "string",              "values_count": 0            }          ],          "mode": "string"        },        "decision": {          "action": "string",          "code": "string",          "list_id": "string",          "list_label": "string",          "match_type": "string",          "status": "string"        },        "execution_id": "string",        "fields": [          {            "key": "string",            "label": "string",            "value": "string"          }        ],        "lists": [          {            "key": "string",            "label": "string",            "values": [              {                "id": "string",                "label": "string"              }            ]          }        ],        "step_id": "string",        "step_key": "string",        "step_name": "string"      }    ],    "email": "string",    "phone": "string",    "risk_score": 0,    "session_id": "string",    "status": "string"  }}

For the full request and response field specification, see API reference (OpenAPI).

On this page